javax.ws.rs.core

## Class UriBuilderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.core.UriBuilderException

- All Implemented Interfaces:
    Serializable

      public class UriBuilderException
      extends RuntimeException

  A runtime exception thrown by `UriBuilder.build(Object...)` methods when a `URI` cannot be constructed based on the current state of the builder.
  Since:
    1.0
  Author:
    Paul Sandoz, Marc Hadley
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UriBuilderException()` Creates a new instance of `UriBuilderException` without detail message.
    `UriBuilderException(String msg)` Constructs an instance of `UriBuilderException` with the specified detail message.
    `UriBuilderException(String msg, Throwable cause)` Constructs an instance of `UriBuilderException` with the specified detail message and cause.
    `UriBuilderException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of (`cause==null ? null : cause.toString()`) (which typically contains the class and detail message of cause).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UriBuilderException

          public UriBuilderException()

      Creates a new instance of `UriBuilderException` without detail message.

    - #### UriBuilderException

          public UriBuilderException(String msg)

      Constructs an instance of `UriBuilderException` with the specified detail message.
      Parameters:
        `msg` - the detail message (which is saved for later retrieval by the Throwable.getMessage() method).

    - #### UriBuilderException

          public UriBuilderException(String msg,
                             Throwable cause)

      Constructs an instance of `UriBuilderException` with the specified detail message and cause.

      Note that the detail message associated with cause is not automatically incorporated in this exception's detail message.

      Parameters:
        `msg` - the detail message (which is saved for later retrieval by the Throwable.getMessage() method).
        `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### UriBuilderException

          public UriBuilderException(Throwable cause)

      Constructs a new exception with the specified cause and a detail message of (`cause==null ? null : cause.toString()`) (which typically contains the class and detail message of cause). This constructor is useful for exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the original exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.